crashpad::internal::CaptureMemory::Delegate Class Referenceabstract

An interface to a platform-specific process reader. More...

`#include "snapshot/capture_memory.h"`

Inheritance diagram for crashpad::internal::CaptureMemory::Delegate:

## Public Member Functions

virtual bool | Is64Bit () const =0
virtual bool | ReadMemory (uint64_t at, uint64_t num_bytes, void *into) const =0
| Attempts to read num_bytes bytes from the target process starting at address at into into. More...
virtual std::vector< CheckedRange< uint64_t > > | GetReadableRanges (const CheckedRange< uint64_t, uint64_t > &range) const =0
| Given a range to be read from the target process, returns a vector of ranges, representing the readable portions of the original range. More...
virtual void | AddNewMemorySnapshot (const CheckedRange< uint64_t, uint64_t > &range)=0
| Adds the given range representing a memory snapshot in the target process to the result.

## Detailed Description

An interface to a platform-specific process reader.

## Member Function Documentation

## GetReadableRanges()

virtual std::vector<CheckedRange<uint64_t> > crashpad::internal::CaptureMemory::Delegate::GetReadableRanges | ( | const CheckedRange< uint64_t, uint64_t > & | range | ) | const

pure virtual

Given a range to be read from the target process, returns a vector of ranges, representing the readable portions of the original range.

Parameters

  [in] | range | The range being identified.

Returns
  A vector of ranges corresponding to the portion of range that is readable.

Implemented in crashpad::internal::CaptureMemoryDelegateWin.

## Is64Bit()

virtual bool crashpad::internal::CaptureMemory::Delegate::Is64Bit | ( |  | ) | const

pure virtual

Returns
  `true` if the target process is a 64-bit process.

Implemented in crashpad::internal::CaptureMemoryDelegateWin.

## ReadMemory()

virtual bool crashpad::internal::CaptureMemory::Delegate::ReadMemory | ( | uint64_t | at,
|  | uint64_t | num_bytes,
|  | void * | into
| ) |  | const

pure virtual

Attempts to read num_bytes bytes from the target process starting at address at into into.

Returns
  `true` if the entire region could be read, or `false` with an error logged.

Implemented in crashpad::internal::CaptureMemoryDelegateWin.

The documentation for this class was generated from the following file:

- snapshot/capture_memory.h